
import BaseInput from './base.js';
import classNames from 'classnames';


class TextInput extends BaseInput {

	constructor(props) {
		super(props);
	}

    _isEmail() {
		//TODO:... mabye move this out..?
        // const valArray = this.props.validation;
        // if (valArray) {
        //     return valArray.filter( v => v === 'email').count() > 0;
        // }

        return false;
    }

	_updateFromDom() {
		const val = React.findDOMNode(this.refs.input).value;
		return this._startValidation(val);
	}

    renderComponent() {
		const type = this.props.type || 'text';
		const innerClasses = classNames({
			'form-control': true,
			[this.props.innerClasses]: !!this.props.innerClasses,
		});

        return (
			<input
				ref='input'
				className={ innerClasses }
				type={ type }
				name={ this.props.name }
				defaultValue={ this.props.value }
				placeholder={ this.props.placeholder }
				onBlur={ this._onChange.bind(this) }
			/>
        );

    }
}

export default TextInput;
