'use strict';

Object.defineProperty(exports, '__esModule', {
	value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _singleJs = require('./single.js');

var _singleJs2 = _interopRequireDefault(_singleJs);

var _horizontalJs = require('./horizontal.js');

var _horizontalJs2 = _interopRequireDefault(_horizontalJs);

var _horizontalRowJs = require('./horizontalRow.js');

var _horizontalRowJs2 = _interopRequireDefault(_horizontalRowJs);

var _emptyJs = require('./empty.js');

var _emptyJs2 = _interopRequireDefault(_emptyJs);

function getForLayout(layoutText) {
	var layout = undefined;

	switch (layoutText) {
		case 'single':
			layout = _singleJs2['default'];
			break;
		case 'horizontal':
			layout = _horizontalJs2['default'];
			break;
		case 'horizontal-row':
			layout = _horizontalRowJs2['default'];
			break;
		case 'empty':
			layout = _emptyJs2['default'];
			break;
		default:
			return null;
	}

	return layout;
}

exports['default'] = {
	Single: _singleJs2['default'],
	Horizontal: _horizontalJs2['default'],
	HorizontalRow: _horizontalRowJs2['default'],
	Empty: _emptyJs2['default'],
	getForLayout: getForLayout
};
module.exports = exports['default'];