'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});

var _createClass = (function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ('value' in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; })();

var _get = function get(_x, _x2, _x3) { var _again = true; _function: while (_again) { var object = _x, property = _x2, receiver = _x3; desc = parent = getter = undefined; _again = false; if (object === null) object = Function.prototype; var desc = Object.getOwnPropertyDescriptor(object, property); if (desc === undefined) { var parent = Object.getPrototypeOf(object); if (parent === null) { return undefined; } else { _x = parent; _x2 = property; _x3 = receiver; _again = true; continue _function; } } else if ('value' in desc) { return desc.value; } else { var getter = desc.get; if (getter === undefined) { return undefined; } return getter.call(receiver); } } };

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError('Cannot call a class as a function'); } }

function _inherits(subClass, superClass) { if (typeof superClass !== 'function' && superClass !== null) { throw new TypeError('Super expression must either be null or a function, not ' + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) subClass.__proto__ = superClass; }

var _reactAddons = require('react/addons');

var _reactAddons2 = _interopRequireDefault(_reactAddons);

var _formControllerJs = require('./formController.js');

var _formControllerJs2 = _interopRequireDefault(_formControllerJs);

var PureRenderMixin = _reactAddons2['default'].addons.PureRenderMixin;

var BasicForm = (function (_FormController) {
    _inherits(BasicForm, _FormController);

    function BasicForm(props) {
        _classCallCheck(this, BasicForm);

        _get(Object.getPrototypeOf(BasicForm.prototype), 'constructor', this).call(this, props);
        this.shouldComponentUpdate = PureRenderMixin.shouldComponentUpdate.bind(this);
    }

    _createClass(BasicForm, [{
        key: 'render',
        value: function render() {
            return _reactAddons2['default'].createElement(
                'form',
                {
                    className: this.props.formClasses,
                    onSubmit: this.onFormSubmit.bind(this),
                    noValidate: true },
                this.traverseChildrenAndRegisterInputs(this.props.children)
            );
        }
    }]);

    return BasicForm;
})(_formControllerJs2['default']);

BasicForm.propTypes = {
    submitButton: _reactAddons2['default'].PropTypes.element,
    formClasses: _reactAddons2['default'].PropTypes.string
};

exports['default'] = BasicForm;
module.exports = exports['default'];