
// Valid error codes:
// client validation
// server validation
// payment failure

'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});

var _createClass = (function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ('value' in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; })();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError('Cannot call a class as a function'); } }

var ErrorCodes = {
    client: 'clientValidation',
    server: 'serverValidation'
};

/**
 * Error report, holds an instance of each error.
 *
 */

var ErrorReport = (function () {
    /**
     * Create an error report.
     *
     * The default format uses {fieldName} to substitude values.
     *
     * @param code The error code.
     * @param message The format to produce a string representation of the error.
     */
    //TODO: pass widget...so I can link to field?

    function ErrorReport(code, message, widget) {
        _classCallCheck(this, ErrorReport);

        this.code = code;
        this.message = message;
    }

    _createClass(ErrorReport, [{
        key: 'toString',
        value: function toString() {
            return this.message;
        }
    }]);

    return ErrorReport;
})();

exports['default'] = {
    ErrorReport: ErrorReport,
    ErrorCodes: ErrorCodes
};
module.exports = exports['default'];