'use strict';

Object.defineProperty(exports, '__esModule', {
	value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _textJs = require('./text.js');

var _textJs2 = _interopRequireDefault(_textJs);

var _textareaJs = require('./textarea.js');

var _textareaJs2 = _interopRequireDefault(_textareaJs);

var _headingJs = require('./heading.js');

var _headingJs2 = _interopRequireDefault(_headingJs);

var _dropdownJs = require('./dropdown.js');

var _dropdownJs2 = _interopRequireDefault(_dropdownJs);

var _checkboxSingleJs = require('./checkboxSingle.js');

var _checkboxSingleJs2 = _interopRequireDefault(_checkboxSingleJs);

var _linebreakJs = require('./linebreak.js');

var _linebreakJs2 = _interopRequireDefault(_linebreakJs);

var _paragraphJs = require('./paragraph.js');

var _paragraphJs2 = _interopRequireDefault(_paragraphJs);

var _radioGroupJs = require('./radioGroup.js');

var _radioGroupJs2 = _interopRequireDefault(_radioGroupJs);

var _dateJs = require('./date.js');

var _dateJs2 = _interopRequireDefault(_dateJs);

var _timeJs = require('./time.js');

var _timeJs2 = _interopRequireDefault(_timeJs);

var _buttonGroupJs = require('./buttonGroup.js');

var _buttonGroupJs2 = _interopRequireDefault(_buttonGroupJs);

exports['default'] = {
	Heading: _headingJs2['default'],
	TextInput: _textJs2['default'],
	TextArea: _textareaJs2['default'],
	Dropdown: _dropdownJs2['default'],
	CheckboxSingle: _checkboxSingleJs2['default'],
	Linebreak: _linebreakJs2['default'],
	Paragraph: _paragraphJs2['default'],
	RadioGroup: _radioGroupJs2['default'],
	DateInput: _dateJs2['default'],
	TimeInput: _timeJs2['default'],
	ButtonGroup: _buttonGroupJs2['default']
};
module.exports = exports['default'];