
import Single from './single.js';
import Horizontal from './horizontal.js';
import HorizontalRow from './horizontalRow.js';
import Empty from './empty.js';

function getForLayout(layoutText) {
	let layout;

	switch (layoutText) {
		case 'single':
			layout = Single;
			break;
		case 'horizontal':
			layout = Horizontal;
			break;
		case 'horizontal-row':
			layout = HorizontalRow;
			break;
		case 'empty':
			layout = Empty;
			break;
		default:
			return null;
	}

	return layout;
}

export default {
	Single,
	Horizontal,
	HorizontalRow,
	Empty,
	getForLayout,
};
