
import React from 'react/addons';
const PureRenderMixin = React.addons.PureRenderMixin;


class Paragraph extends React.Component {

	constructor(props) {
		super(props);
		this.shouldComponentUpdate = PureRenderMixin.shouldComponentUpdate.bind(this);
	}

	render() {
        let label = null;
		if ( this.props.label ) {
            label = ( <label className='control-label control-heading'>
                { this.props.label }
            </label> );
        }

		return (

            <div className='form-group'>
                { label }
                <p>{ this.props.description }</p>
            </div>
		);
	}
}

export default Paragraph;
