

import BaseInput from './base.js';


class TimeInput extends BaseInput {

	constructor(props) {
		super(props);
	}

	_updateFromDom() {
		const val = React.findDOMNode(this.refs.input).value;
		return this._startValidation(val);
	}

    renderComponent() {
        return (
			<input
				ref='input'
				className='form-control'
				type={ this.props.type }
				name={ this.props.name }
				defaultValue={this.props.value}
				onBlur={ this._onChange.bind(this) }
				placeholder={ this.props.placeholder }
			/>
        );

    }
}

export default TimeInput;
