
/**
 * ValidationResult is passed between validation contexts to accumulate errors.
 */
'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});

var _createClass = (function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ('value' in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; })();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError('Cannot call a class as a function'); } }

var ValidationResult = (function () {
    function ValidationResult(options) {
        _classCallCheck(this, ValidationResult);

        this.errors = [];
        this.value = options.value;
    }

    _createClass(ValidationResult, [{
        key: 'addError',
        value: function addError(errorReport) {
            if (!errorReport) {
                throw new Error('Error report null on add.');
            }
            this.errors.push(errorReport);
        }
    }, {
        key: 'isValid',
        value: function isValid() {
            return this.errors.length === 0;
        }
    }]);

    return ValidationResult;
})();

exports['default'] = ValidationResult;
module.exports = exports['default'];