'use strict';

Object.defineProperty(exports, '__esModule', {
	value: true
});

var _createClass = (function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ('value' in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; })();

var _get = function get(_x, _x2, _x3) { var _again = true; _function: while (_again) { var object = _x, property = _x2, receiver = _x3; desc = parent = getter = undefined; _again = false; if (object === null) object = Function.prototype; var desc = Object.getOwnPropertyDescriptor(object, property); if (desc === undefined) { var parent = Object.getPrototypeOf(object); if (parent === null) { return undefined; } else { _x = parent; _x2 = property; _x3 = receiver; _again = true; continue _function; } } else if ('value' in desc) { return desc.value; } else { var getter = desc.get; if (getter === undefined) { return undefined; } return getter.call(receiver); } } };

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError('Cannot call a class as a function'); } }

function _inherits(subClass, superClass) { if (typeof superClass !== 'function' && superClass !== null) { throw new TypeError('Super expression must either be null or a function, not ' + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) subClass.__proto__ = superClass; }

var _baseJs = require('./base.js');

var _baseJs2 = _interopRequireDefault(_baseJs);

var CheckboxGroup = (function (_BaseInput) {
	_inherits(CheckboxGroup, _BaseInput);

	function CheckboxGroup(props) {
		_classCallCheck(this, CheckboxGroup);

		_get(Object.getPrototypeOf(CheckboxGroup.prototype), 'constructor', this).call(this, props);
	}

	_createClass(CheckboxGroup, [{
		key: '_onChange',
		value: function _onChange(e) {
			var val = null;
			if (e.target.checked) {
				val = e.target.value;
			}
			this.setState({
				isPristene: false,
				value: val
			});
			return this._startValidation(val);
		}
	}, {
		key: '_updateFromDom',
		value: function _updateFromDom() {
			var child = this.props.options.first();
			var key = this._keyForChild(child);
			var val = null;

			if (React.findDOMNode(this.refs[key]).checked) {
				val = child.get('Value');
			}

			this.setState({
				value: val
			});
			return this._startValidation(val);
		}
	}, {
		key: '_keyForChild',
		value: function _keyForChild(child) {
			return this.props.name + '___' + child.get('Value') + '___' + child.get('Label');
		}
	}, {
		key: 'renderComponent',

		// NOTE: only getting the first as we only support 1 value per widget.
		value: function renderComponent() {
			var child = this.props.options.first();
			var checked = this.state.value === child.get('Value');
			var key = this._keyForChild(child);
			var checks = React.createElement(
				'div',
				{ key: key, className: 'checkbox' },
				React.createElement('input', {
					ref: key,
					id: key,
					type: 'checkbox',
					value: child.get('Value'),
					checked: checked,
					onChange: this._onChange.bind(this) }),
				React.createElement(
					'label',
					{ htmlFor: key },
					child.get('Label')
				)
			);

			return React.createElement(
				'div',
				{ className: 'controls' },
				checks
			);
		}
	}]);

	return CheckboxGroup;
})(_baseJs2['default']);

exports['default'] = CheckboxGroup;
module.exports = exports['default'];