'use strict';

Object.defineProperty(exports, '__esModule', {
	value: true
});

var _createClass = (function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ('value' in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; })();

var _get = function get(_x, _x2, _x3) { var _again = true; _function: while (_again) { var object = _x, property = _x2, receiver = _x3; desc = parent = getter = undefined; _again = false; if (object === null) object = Function.prototype; var desc = Object.getOwnPropertyDescriptor(object, property); if (desc === undefined) { var parent = Object.getPrototypeOf(object); if (parent === null) { return undefined; } else { _x = parent; _x2 = property; _x3 = receiver; _again = true; continue _function; } } else if ('value' in desc) { return desc.value; } else { var getter = desc.get; if (getter === undefined) { return undefined; } return getter.call(receiver); } } };

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError('Cannot call a class as a function'); } }

function _inherits(subClass, superClass) { if (typeof superClass !== 'function' && superClass !== null) { throw new TypeError('Super expression must either be null or a function, not ' + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) subClass.__proto__ = superClass; }

var _baseJs = require('./base.js');

var _baseJs2 = _interopRequireDefault(_baseJs);

var RadioGroup = (function (_BaseInput) {
	_inherits(RadioGroup, _BaseInput);

	function RadioGroup(props) {
		_classCallCheck(this, RadioGroup);

		_get(Object.getPrototypeOf(RadioGroup.prototype), 'constructor', this).call(this, props);
	}

	_createClass(RadioGroup, [{
		key: '_updateFromDom',
		value: function _updateFromDom() {
			var _this = this;

			var val = null;
			this.props.options.some(function (o) {
				var key = _this._keyForChild(o);

				var isChecked = React.findDOMNode(_this.refs[key]).checked;
				if (isChecked) {
					val = o.get('Value');
					return true;
				}

				return false;
			});

			return this._startValidation(val);
		}
	}, {
		key: '_keyForChild',
		value: function _keyForChild(child) {
			return this.props.name + '___' + child.get('Value') + '___' + child.get('Label');
		}
	}, {
		key: 'renderComponent',
		value: function renderComponent() {
			var _this2 = this;

			var options = this.props.options.map(function (o) {
				var name = _this2.props.name;
				var checked = _this2.props.value === o.get('Value');
				var key = _this2._keyForChild(o);

				return React.createElement(
					'div',
					{ key: key, className: 'col-md-2 col-sm-3 col-xs-6' },
					React.createElement(
						'div',
						{ className: 'radio' },
						React.createElement('input', {
							type: 'radio',
							ref: key,
							value: o.get('Value'),
							name: name,
							id: key,
							onChange: _this2._onChange.bind(_this2),
							defaultChecked: checked }),
						React.createElement(
							'label',
							{ htmlFor: key },
							o.get('Label')
						)
					)
				);
			});

			return React.createElement(
				'div',
				{ className: 'row' },
				options
			);
		}
	}]);

	return RadioGroup;
})(_baseJs2['default']);

exports['default'] = RadioGroup;
module.exports = exports['default'];